%global npm_name minizlib
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.2
Release: %mkrel 4
Summary: A small fast zlib stream built on [minipass](http://npm
License: MIT
Group: Development/Other
URL: https://github.com/isaacs/minizlib#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%nodejs_fixdep minipass ">=3.0.0"
%nodejs_fixdep yallist ">=4.0.0"
%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr constants.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.1.2-4.mga10
+ Revision: 2209689
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 2.1.2-3.mga9
+ Revision: 1820540
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 neoclust <neoclust> 2.1.2-2.mga8
+ Revision: 1667545
- Fix deps

* Thu Dec 31 2020 neoclust <neoclust> 2.1.2-1.mga8
+ Revision: 1667397
- New version 2.1.2

* Sun Jul 05 2020 joequant <joequant> 1.1.0-4.mga8
+ Revision: 1602242
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1503046
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1280764
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1224934
- imported package nodejs-minizlib

